import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: const MyHomePage(title: 'カウンターアプリ'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  const MyHomePage({super.key, required this.title});
  final String title;

  @override
  State<MyHomePage> createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  int _counter = 0;

  void _incrementCounter() {
    setState(() {
      _counter++;
    });
  }

  void _decrementCounter() {
    setState(() {
      _counter--;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            Text(
              '$_counter',
              style: Theme.of(context).textTheme.headlineMedium,
            ),
            const SizedBox(
              height: 20.0,
            ),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
              mainAxisSize: MainAxisSize.min,
              children: [
                Container(
                  // color: Colors.blue,
                  decoration: BoxDecoration(
                      color: Colors.blue,
                      borderRadius: BorderRadius.circular(10)
                  ),
                  child: TextButton(
                    child: const Text('プラス',
                      style: TextStyle(
                          color: Colors.white
                      ),
                    ),
                    onPressed: () {
                      _incrementCounter();
                    },
                  ),
                ),
                const SizedBox(
                  width: 20.0,
                ),
                Container(
                  // color: Colors.red,
                  decoration: BoxDecoration(
                      color: Colors.red,
                      borderRadius: BorderRadius.circular(10)
                  ),
                  child: TextButton(
                    child: const Text('マイナス',
                      style: TextStyle(
                          color: Colors.white
                      ),
                    ),
                    onPressed: () {
                      _decrementCounter();
                    },
                  ),
                )
              ],
            ),
            const SizedBox(
              height: 20.0,
            ),
            Container(
              // color: Colors.black,
              decoration: BoxDecoration(
                  color: Colors.black,
                  borderRadius: BorderRadius.circular(10)
              ),
              child: TextButton(
                child: const Text('リセット',
                  style: TextStyle(
                      color: Colors.white
                  ),
                ),
                onPressed: () {
                  // counterをリセットさせる処理を書く
                },
              ),
            )
          ],
        ),
      ),
    );
  }
}
