import 'package:flutter/material.dart';

void main() {
  runApp(const MainPage());
}

class MainPage extends StatelessWidget {
  const MainPage({super.key});

  @override
  Widget build(BuildContext context) {
    return const MaterialApp(
      title: 'Text Sample',
      home: TextInputWidget(),
    );
  }
}

class TextInputWidget extends StatefulWidget {
  const TextInputWidget({super.key});

  @override
  State<TextInputWidget> createState() => _TextInputWidgetState();
}

class _TextInputWidgetState extends State<TextInputWidget> {

  // ①TextEditingControllerインスタンスを生成（変数名は何でも良い）
  var _controller = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Text Input Sample'),
      ),
      body: TextField(
          controller: _controller,  // TextEditingControllerのインスタンスを設定
          onChanged: (String value) {
            print(value);
          }
      ),
    );
  }

  @override
  void initState() {
    super.initState();
    _controller.text = '初期値';  // ②初期化処理
  }

  @override
  void dispose() {
    super.dispose();
    _controller.dispose();  // ③廃棄処理
  }
}