import 'package:flutter/material.dart';

class TextInputArea extends StatelessWidget {

  // プロパティを宣言する
  final TextEditingController controller;
  final Function(String) onPressedSubmitButton;
  final Function(String) onSubmitted;

  // コンストラクタを定義する
  const TextInputArea({
    super.key,
    required this.controller,
    required this.onPressedSubmitButton,
    required this.onSubmitted
  });

  @override
  Widget build(BuildContext context) {
    return Card(
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(10.0),
      ),
      margin: const EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Padding(
            padding: const EdgeInsets.symmetric(horizontal: 10.0),
            child: TextField(
              controller: controller,
              decoration: const InputDecoration(hintText: '入力してください'),
              onChanged: (String value) {
                print(value);
              },
              onSubmitted: onSubmitted,
            ),
          ),
          Padding(
            padding: const EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
            child: ElevatedButton(
                onPressed: () {
                  onPressedSubmitButton(controller.text);
                },
                child: const Text('カードを追加する')),
          )
        ],
      ),
    );
  }
}
