import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: const SampleWidget(),
    );
  }
}

class SampleWidget extends StatelessWidget {
  const SampleWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Orientation App'),
      ),
      body: LayoutBuilder(
        builder: (context, constraints) {
          if (constraints.maxWidth > 600.0) {
            return const LandscapeWidget();
          } else {
            return const PortraitWidget();
          }
        },
      ),
    );
  }
}

class LandscapeWidget extends StatelessWidget {
  const LandscapeWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 150.0,
      width: 150.0,
      color: Colors.red,
    );
  }
}

class PortraitWidget extends StatelessWidget {
  const PortraitWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.spaceEvenly,
      children: <Widget>[
        Container(
          height: 150.0,
          width: 150.0,
          color: Colors.red,
        ),
        Container(
          height: 150.0,
          width: 150.0,
          color: Colors.yellow,
        ),
      ],
    );
  }
}
