import 'package:flutter/cupertino.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return const CupertinoApp(
      title: 'Flutter Demo',
      home: PracticeWidget(),
    );
  }
}

class PracticeWidget extends StatefulWidget {
  const PracticeWidget({super.key});

  @override
  State<PracticeWidget> createState() => _PracticeWidgetState();
}

class _PracticeWidgetState extends State<PracticeWidget> {

  int _count = 0;

  void _increment() {
    setState(() {
      _count ++;
    });
  }

  @override
  Widget build(BuildContext context) {
    return CupertinoPageScaffold(
      navigationBar: const CupertinoNavigationBar(
          leading: Icon(CupertinoIcons.home),
          middle: Text('iOS App'),
          trailing: Icon(CupertinoIcons.add)
      ),
      child: SafeArea(
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text('$_count',
                  style: const TextStyle(
                      fontSize: 20.0
                  )
              ),
              CupertinoButton(
                  onPressed: _increment,
                  child: const Text('プラス')
              )
            ],
          ),
        ),
      ),
    );
  }
}