import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'dart:io';  // Platformクラスを使うため、dart:ioをインポート

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    var isIOS = Platform.isIOS;
    var iosApp = const CupertinoApp(
      title: 'Flutter Demo',
      home: PracticeWidget(),
    );
    var androidApp = const MaterialApp(
      title: 'Flutter Demo',
      home: PracticeWidget(),
    );
    return isIOS ? iosApp : androidApp;
  }
}

class PracticeWidget extends StatefulWidget {
  const PracticeWidget({super.key});

  @override
  State<PracticeWidget> createState() => _PracticeWidgetState();
}

class _PracticeWidgetState extends State<PracticeWidget> {

  bool _switchValue = false;

  void _switchOnChanged(bool changed) {
    setState(() {
      _switchValue = changed;
    });
  }

  @override
  Widget build(BuildContext context) {
    return CupertinoPageScaffold(
      navigationBar: const CupertinoNavigationBar(
          leading: Icon(CupertinoIcons.home),
          middle: Text('iOS App'),
          trailing: Icon(CupertinoIcons.add)
      ),
      child: SafeArea(
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text(_switchValue ? 'true' : 'false',
                  style: const TextStyle(
                      fontSize: 20.0
                  )
              ),
              CupertinoSwitch(
                  value: _switchValue,
                  onChanged: _switchOnChanged
              ),
            ],
          ),
        ),
      ),
    );
  }
}